com.sun.messaging.jms

## Interface QueueConnection

All Superinterfaces:
  Connection, QueueConnection

    public interface QueueConnection
    extends QueueConnection

Provide interface to create a MQ NO_ACKNOWLEDGE queue session.

### Method Summary

Methods
`QueueSession` `createQueueSession(int acknowledgeMode)` Creates a `QueueSession` object.

### Methods inherited from interface javax.jms.QueueConnection

`createConnectionConsumer, createQueueSession`

### Methods inherited from interface javax.jms.Connection

`close, createConnectionConsumer, createDurableConnectionConsumer, createSession, getClientID, getExceptionListener, getMetaData, setClientID, setExceptionListener, start, stop`

### Method Detail

#### createQueueSession

    QueueSession createQueueSession(int acknowledgeMode)
                                    throws JMSException

Creates a `QueueSession` object.

Parameters:
  `acknowledgeMode` - indicates whether the consumer or the client will acknowledge any messages it receives; Legal values are `Session.AUTO_ACKNOWLEDGE`, `Session.CLIENT_ACKNOWLEDGE`, `Session.DUPS_OK_ACKNOWLEDGE`, and `com.sun.messaging.jms.Session.NO_ACKNOWLEDGE`
Returns:
  a newly created session
Throws:
  `JMSException` - if the `QueueConnection` object fails to create a session due to some internal error or lack of support for the specific transaction and acknowledgement mode.
  `JMSException`
See Also:
  `Session.AUTO_ACKNOWLEDGE`, `Session.CLIENT_ACKNOWLEDGE`, `Session.DUPS_OK_ACKNOWLEDGE`, `Session.NO_ACKNOWLEDGE`